Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::DataDictionaryNotFound Struct Reference

DataDictionary not found for BeginString or ApplVerID. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::DataDictionaryNotFound:
[legend]
Collaboration diagram for FIX::DataDictionaryNotFound:
[legend]

List of all members.

## Public Member Functions

| DataDictionaryNotFound (const std::string &v, const std::string &what="")
| ~DataDictionaryNotFound () throw ()

## Public Attributes

std::string | version

## Detailed Description

DataDictionary not found for BeginString or ApplVerID.

Definition at line 46 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::DataDictionaryNotFound::DataDictionaryNotFound | ( | const std::string & | v,
|  | const std::string & | what = `""` |
| ) |  |  | `[inline]`

Definition at line 48 of file Exceptions.h.

    00049     : Exception( "Could not find data dictionary", what ),
    00050                  version( v ) {}

FIX::DataDictionaryNotFound::~DataDictionaryNotFound | ( |  | ) | throw ()`[inline]`

Definition at line 51 of file Exceptions.h.

    00051 {}

## Member Data Documentation

std::string FIX::DataDictionaryNotFound::version

Definition at line 53 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h